<%- include('../includes/head.ejs') %>
    <link rel="stylesheet" href="/css/forms.css">
    <link rel="stylesheet" href="/css/auth.css">
</head>

<body>
   <%- include('../includes/navigation.ejs') %>

    <main>
        <% if(errorMessage) { %>
            <div class="user-message user-message--error">
                <%= errorMessage %>
            </div>
        <% } %>
        <form 
            class="login-form" 
            action="/new-password" 
            method="POST"
        >
            <input type="hidden" name="userId" value="<%= userId %>" />
            <input type="hidden" name="resetPasswordToken" value="<%= resetPasswordToken %>" />
            <input type="hidden" name="_csrf" value="<%= csrfToken %>" />
            <div class="form-control">
                <label for="password">New Password</label>
                <input 
                    type="password" 
                    name="password" 
                    id="password"
                >
            </div>
            <div class="form-control">
                <label for="confirmPassword">Confirm Password</label>
                <input 
                    type="password" 
                    name="confirmPassword" 
                    id="confirmPassword"
                >
            </div>
            <button class="btn" type="submit">Change password</button>
        </form>
    </main>
<%- include('../includes/end.ejs') %>